Package com.ocient.jdbc.proto

# Interface PlanProtocol.MatrixExtendOperatorOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `PlanProtocol.MatrixExtendOperator`, `PlanProtocol.MatrixExtendOperator.Builder`

Enclosing class:
  PlanProtocol

    public static interface PlanProtocol.MatrixExtendOperatorOrBuilder
    extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `getNewColName()` | `string newColName = 1;`
`com.google.protobuf.ByteString` | `getNewColNameBytes()` | `string newColName = 1;`
`String` | `getPostfixExpressionTokens​(int index)` | Tokens are function calls (+, -, * or beginning with ()) Or columns Or literals
`com.google.protobuf.ByteString` | `getPostfixExpressionTokensBytes​(int index)` | Tokens are function calls (+, -, * or beginning with ()) Or columns Or literals
`int` | `getPostfixExpressionTokensCount()` | Tokens are function calls (+, -, * or beginning with ()) Or columns Or literals
`List<String>` | `getPostfixExpressionTokensList()` | Tokens are function calls (+, -, * or beginning with ()) Or columns Or literals
`String` | `getType()` | The type of the new column
`com.google.protobuf.ByteString` | `getTypeBytes()` | The type of the new column

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getNewColName

String getNewColName()
`string newColName = 1;`

### getNewColNameBytes

com.google.protobuf.ByteString getNewColNameBytes()
`string newColName = 1;`

### getPostfixExpressionTokensList

List<String> getPostfixExpressionTokensList()

    Tokens are function calls (+, -, * or beginning with ())
    Or columns
    Or literals

`repeated string postfixExpressionTokens = 2;`

### getPostfixExpressionTokensCount

int getPostfixExpressionTokensCount()

    Tokens are function calls (+, -, * or beginning with ())
    Or columns
    Or literals

`repeated string postfixExpressionTokens = 2;`

### getPostfixExpressionTokens

String getPostfixExpressionTokens​(int index)

    Tokens are function calls (+, -, * or beginning with ())
    Or columns
    Or literals

`repeated string postfixExpressionTokens = 2;`

### getPostfixExpressionTokensBytes

com.google.protobuf.ByteString getPostfixExpressionTokensBytes​(int index)

    Tokens are function calls (+, -, * or beginning with ())
    Or columns
    Or literals

`repeated string postfixExpressionTokens = 2;`

### getType

String getType()

    The type of the new column

`string type = 3;`

### getTypeBytes

com.google.protobuf.ByteString getTypeBytes()

    The type of the new column

`string type = 3;`